JtaTransactionServicePlugin (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.icatch.jta

## Class JtaTransactionServicePlugin

- java.lang.Object
- - com.atomikos.icatch.jta.JtaTransactionServicePlugin

- All Implemented Interfaces:
    TransactionServicePlugin

      public class JtaTransactionServicePlugin
      extends java.lang.Object
      implements TransactionServicePlugin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME` The name of the property indicating whether (JTA/XA) resources should be registered automatically or not.
    `static java.lang.String` | `CLIENT_DEMARCATION_PROPERTY_NAME` The name of the property indicating whether remote clients can start transactions on this service or not.
    `static java.lang.String` | `DEFAULT_JTA_TIMEOUT_PROPERTY_NAME` The name of the property that specifies the default timeout (in milliseconds) that is set for transactions when no timeout is specified.
    `static java.lang.String` | `SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME` The name of the property that indicates whether JTA transactions are to be in serial mode or not.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JtaTransactionServicePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterInit()`
    `void` | `afterShutdown()`
    `void` | `beforeInit(java.util.Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME

          public static final java.lang.String AUTOMATIC_RESOURCE_REGISTRATION_PROPERTY_NAME

      The name of the property indicating whether (JTA/XA) resources should be registered automatically or not. Expands to "com.atomikos.icatch.automatic_resource_registration".
      See Also:
        Constant Field Values

    - #### DEFAULT_JTA_TIMEOUT_PROPERTY_NAME

          public static final java.lang.String DEFAULT_JTA_TIMEOUT_PROPERTY_NAME

      The name of the property that specifies the default timeout (in milliseconds) that is set for transactions when no timeout is specified. Expands to "com.atomikos.icatch.default_jta_timeout".
      See Also:
        Constant Field Values

    - #### SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME

          public static final java.lang.String SERIAL_JTA_TRANSACTIONS_PROPERTY_NAME

      The name of the property that indicates whether JTA transactions are to be in serial mode or not. Expands to "com.atomikos.icatch.serial_jta_transactions".
      See Also:
        Constant Field Values

    - #### CLIENT_DEMARCATION_PROPERTY_NAME

          public static final java.lang.String CLIENT_DEMARCATION_PROPERTY_NAME

      The name of the property indicating whether remote clients can start transactions on this service or not. Expands to "com.atomikos.icatch.client_demarcation".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JtaTransactionServicePlugin

          public JtaTransactionServicePlugin()

  - ### Method Detail

    - #### beforeInit

          public void beforeInit(java.util.Properties properties)

      Specified by:
        `beforeInit` in interface `TransactionServicePlugin`

    - #### afterShutdown

          public void afterShutdown()

      Specified by:
        `afterShutdown` in interface `TransactionServicePlugin`

    - #### afterInit

          public void afterInit()

      Specified by:
        `afterInit` in interface `TransactionServicePlugin`

Copyright © 2018. All Rights Reserved.